package poker.domain.classificacao

import poker.domain.Carta
import poker.domain.Valor._
import poker.domain.Naipe._
import org.testng.annotations._
import org.junit.Assert._
import poker.PokerHelperTest._

class FullHouseTest {
  
  @Test
  def menorFullHouseGanhaDeMaiorFlush() {
    assertTrue(menorFullHouse() > maiorFlush())
    assertTrue(maiorFlush() < menorFullHouse())
  }
  
  @Test
  def maiorTrincaGanha() {
    assertTrue(c((2, PAUS), (2, PAUS), (3, PAUS), (3, PAUS), (3, OUROS)) >
               c((AS, PAUS), (AS, PAUS), (2, PAUS), (2, PAUS), (2, OUROS)))
  }
         
// Nunca empata
//  @Test
//  def empate() {
//		var comb = maiorFullHouse()
//    assertTrue(comb >= comb)
//		assertTrue(comb <= comb)
//  }
}
